[SciPy-dev] petsc4py support? (segfault)

Neilen Marais nmarais@sun.ac...
Mon May 19 15:45:13 CDT 2008


Hi, 

I'm trying out petsc4py, but running into trouble. While it's hosted on 
http://code.google.com/p/petsc4py/, there doesn't seem to be any mailing 
lists/forums. Where is the best place to get support?  

Going out on a limb, I'll post my problem here for now :) I reported an 
ubuntu bug here: https://bugs.launchpad.net/ubuntu/+source/petsc4py/
+bug/232036

I also tried compiling myself with SVN numpy.

I edited setup.cfg in the petsc4py-0.7.5 build dir:

[config]

petsc_dir  = /usr/lib/petsc
petsc_arch = linux-gnu-c-opt

[build_ext]
debug = 0

[sdist]
force_manifest=1

[bdist_rpm]
group     = Libraries/Python
vendor    = CIMEC <http://www.cimec.org.ar>
packager  = Lisandro Dalcin <dalcinl@users.sourceforge.net>
doc_files = README.txt docs/*.txt

config reads as follows:

$ python setup.py config 
running config
----------------------------------------------------------------------
PETSC_DIR:   /usr/lib/petsc
----------------------------------------------------------------------
PETSC_ARCH:  linux-gnu-c-opt
language:    CONLY
compiler:    /usr/bin/mpicc
scalar-type: real
precision:   double
----------------------------------------------------------------------


and when I try and import petsc I get a segfault

$ python
Python 2.5.2 (r252:60911, Apr 21 2008, 11:17:30) 
[GCC 4.2.3 (Ubuntu 4.2.3-2ubuntu7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import petsc4py.PETSc
Segmentation fault

This is on an ubuntu hardy (8.04) AMD64 machine:

$ uname -a
Linux genugtig 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 
x86_64 GNU/Linux

Regards
Neilen



More information about the Scipy-dev mailing list